View Issue Details

IDProjectCategoryView StatusLast Update
0000815SymmetricDSBugpublic2014-02-02 20:52
ReportermhanesAssigned Tomhanes 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.4 
Target Version3.1.5Fixed in Version3.1.5 
Summary0000815: decode() function needs qualified in most recent version of Greenplum
DescriptionSymptoms:

ERROR: syntax error at or near ")"
LINE 1: SELECT encode(decode( $1 , 'escape'), 'base64')
                                           ^
QUERY: SELECT encode(decode( $1 , 'escape'), 'base64')
CONTEXT: SQL statement in PL/PgSQL function "sym_largeobject" near line 12

Discussion:
http://www.greenplum.com/community/forums/archive/index.php/t-715.html
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master d1029e8d

2012-09-11 13:19:03

eegeek

Details Diff
0000815: decode() function needs qualified in most recent version of Greenplum. Modifying functions for Postgres as well.
0000815
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/GreenplumTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlTriggerTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/greenplum/GreenplumJdbcSqlTemplate.java Diff File

Issue History

Date Modified Username Field Change
2012-09-11 13:16 mhanes New Issue
2012-09-11 13:16 mhanes Status new => assigned
2012-09-11 13:16 mhanes Assigned To => mhanes
2012-09-11 21:11 chenson Status assigned => closed
2012-09-11 21:11 chenson Resolution open => fixed
2012-09-11 21:11 chenson Fixed in Version => 3.1.5
2012-09-11 21:11 chenson Description Updated View Revisions
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6266
2015-07-30 21:49 Changeset attached => SymmetricDS master d1029e8d